export declare type UniFunction = (x: number) => number;
export declare function createAkimaSplineInterpolator(xvals: Float64Array, yvals: Float64Array): UniFunction;
export declare function createCubicSplineInterpolator(x: Float64Array, y: Float64Array): UniFunction;
export declare function createLinearInterpolator(x: Float64Array, y: Float64Array): UniFunction;
export declare function createNearestNeighborInterpolator(xvals: Float64Array, yvals: Float64Array): UniFunction;
